%define name	fann
%define major	2
%define minor	2.0
%define version %major.%minor

%define libname %mklibname %name %major
%define devname %mklibname %name -d

%define obsname %mklibname %name

Name:           %name
Summary:        Fast artificial neural networks library
Group:          System/Libraries
Version:        %version
Release:        %mkrel 10
License:        LGPLv2+
URL:            http://fann.sourceforge.net/
Source0:        https://sourceforge.net/projects/fann/files/fann/%{version}/FANN-%{version}-Source.zip
Patch0:         fann-%{version}-pkgconfig.patch
BuildRequires:  cmake

%description
Fast Artificial Neural Network (FANN) library is a free open source neural network
library.

#------------------------------------------------------------------------------

%package -n	%libname
Summary:        Fast artificial neural networks development library
Group:          System/Libraries
Obsoletes:	%obsname <= 2.2.0

%description -n %libname
Fast Artificial Neural Network (FANN) library is a free open source neural network
library which implements multilayer artificial neural networks in C with support
for both fully connected and sparsely connected networks.

%files -n %libname
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

#------------------------------------------------------------------------------

%package -n     %devname
Summary:        Fast artificial neural networks development library
Group:          Development/C
Requires:       %libname = %version-%release

%description -n %devname
Development files for Fast Artificial Neural Network (FANN) library. This package
is only needed if you intend to develop and/or compile programs based on the
FANN library.

%files -n %devname
%{_libdir}/*.so
%{_libdir}/pkgconfig/fann.pc
%{_includedir}/*.h

#------------------------------------------------------------------------------

%prep
%setup -n FANN-%{version}-Source -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -lm"
%cmake -DPKGCONFIG_INSTALL_DIR=/%{_libdir}/pkgconfig
%cmake_build

%install
%cmake_install


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 2.2.0-10.mga9
+ Revision: 1795130
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.2.0-9.mga8
+ Revision: 1512133
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-8.mga7
+ Revision: 1297661
- Mageia 7 Mass Rebuild

* Sun Sep 24 2017 daviddavid <daviddavid> 2.2.0-7.mga7
+ Revision: 1158775
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Mon Feb 08 2016 umeabot <umeabot> 2.2.0-6.mga6
+ Revision: 945673
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-5.mga5
+ Revision: 744310
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 filipesaraiva <filipesaraiva> 2.2.0-4.mga5
+ Revision: 736719
- Fix Obsoletes;
- Release increment;

* Sat Oct 04 2014 filipesaraiva <filipesaraiva> 2.2.0-3.mga5
+ Revision: 736715
- Using correct name of library package;

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 679089
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 filipesaraiva <filipesaraiva> 2.2.0-1.mga5
+ Revision: 592440
- Added group for fann
- imported package fann

